RIR_URL_MAPPING = {
    "arin": "https://ftp.arin.net/pub/stats/arin/delegated-arin-extended-latest",
    "ripencc": "https://ftp.ripe.net/ripe/stats/delegated-ripencc-extended-latest",
    "apnic": "https://ftp.apnic.net/stats/apnic/delegated-apnic-extended-latest",
    "afrinic": "https://ftp.apnic.net/stats/afrinic/delegated-afrinic-extended-latest",
    "lacnic": "https://ftp.apnic.net/stats/lacnic/delegated-lacnic-extended-latest"
}

COUNTRY_MAPPING = {
    "AF": "AFGHANISTAN",
    "AS": "AMERICAN SAMOA",
    "AU": "AUSTRALIA",
    "BD": "BANGLADESH",
    "BT": "BHUTAN",
    "IO": "BRITISH INDIAN OCEAN TERRITORY",
    "BN": "BRUNEI DARUSSALAM",
    "KH": "CAMBODIA",
    "CN": "CHINA",
    "CX": "CHRISTMAS ISLAND",
    "CC": "COCOS (KEELING) ISLANDS",
    "CK": "COOK ISLANDS",
    "TL": "EAST TIMOR",
    "FJ": "FIJI",
    "PF": "FRENCH POLYNESIA",
    "TF": "FRENCH SOUTHERN TERRITORIES",
    "GU": "GUAM",
    "HK": "HONG KONG",
    "IN": "INDIA",
    "ID": "INDONESIA",
    "JP": "JAPAN",
    "KI": "KIRIBATI",
    "KP": "KOREA, DEMOCRATIC PEOPLE’S REPUBLIC OF",
    "KR": "KOREA, REPUBLIC OF",
    "LA": "LAO PEOPLE’S DEMOCRATIC REPUBLIC",
    "MO": "MACAO",
    "MY": "MALAYSIA",
    "MV": "MALDIVES",
    "MH": "MARSHALL ISLANDS",
    "YT": "MAYOTTE",
    "FM": "MICRONESIA, FEDERATED STATES OF",
    "MN": "MONGOLIA",
    "MM": "MYANMAR",
    "NR": "NAURU",
    "NP": "NEPAL",
    "NC": "NEW CALEDONIA",
    "NZ": "NEW ZEALAND",
    "NU": "NIUE",
    "NF": "NORFOLK ISLAND",
    "MP": "NORTHERN MARIANA ISLANDS",
    "PK": "PAKISTAN",
    "PW": "PALAU",
    "PG": "PAPUA NEW GUINEA",
    "PH": "PHILIPPINES",
    "PN": "PITCAIRN",
    "WS": "SAMOA",
    "SG": "SINGAPORE",
    "SB": "SOLOMON ISLANDS",
    "LK": "SRI LANKA",
    "TW": "TAIWAN, PROVINCE OF CHINA",
    "TH": "THAILAND",
    "TK": "TOKELAU",
    "TO": "TONGA",
    "TV": "TUVALU",
    "VU": "VANUATU",
    "VN": "VIET NAM",
    "WF": "WALLIS AND FUTUNA ISLANDS",
    "AI": "ANGUILLA",
    "AQ": "ANTARCTICA",
    "AG": "ANTIGUA AND BARBUDA",
    "BS": "BAHAMAS",
    "BB": "BARBADOS",
    "BM": "BERMUDA",
    "BV": "BOUVET ISLAND",
    "CA": "CANADA",
    "KY": "CAYMAN ISLANDS",
    "DM": "DOMINICA",
    "GD": "GRENADA",
    "GP": "GUADELOUPE",
    "HM": "HEARD AND MC DONALD ISLANDS",
    "JM": "JAMAICA",
    "MW": "MALAWI",
    "MQ": "MARTINIQUE",
    "PR": "PUERTO RICO",
    "KN": "SAINT KITTS AND NEVIS",
    "LC": "SAINT LUCIA",
    "VC": "SAINT VINCENT AND THE GRENADINES",
    "SH": "ST. HELENA",
    "PM": "ST. PIERRE AND MIQUELON",
    "TC": "TURKS AND CAICOS ISLANDS",
    "US": "UNITED STATES",
    "UM": "UNITED STATES MINOR OUTLYING ISLANDS",
    "VG": "VIRGIN ISLANDS (BRITISH)",
    "VI": "VIRGIN ISLANDS (U.S.)",
    "DZ": "ALGERIA",
    "AO": "ANGOLA",
    "BJ": "BENIN",
    "BW": "BOTSWANA",
    "BF": "BURKINA FASO",
    "BI": "BURUNDI",
    "CM": "CAMEROON",
    "CV": "CAPE VERDE",
    "CF": "CENTRAL AFRICAN REPUBLIC",
    "TD": "CHAD",
    "KM": "COMOROS",
    "CG": "CONGO",
    "CD": "CONGO, THE DEMOCRATIC REPUBLIC OF THE",
    "CI": "COTE D’IVOIRE",
    "DJ": "DJIBOUTI",
    "EG": "EGYPT",
    "GQ": "EQUATORIAL GUINEA",
    "ER": "ERITREA",
    "ET": "ETHIOPIA",
    "GA": "GABON",
    "GM": "GAMBIA",
    "GH": "GHANA",
    "GN": "GUINEA",
    "GW": "GUINEA-BISSAU",
    "KE": "KENYA",
    "LS": "LESOTHO",
    "LR": "LIBERIA",
    "LY": "LIBYAN ARAB JAMAHIRIYA",
    "MG": "MADAGASCAR",
    "ML": "MALI",
    "MR": "MAURITANIA",
    "MU": "MAURITIUS",
    "MA": "MOROCCO",
    "MZ": "MOZAMBIQUE",
    "NA": "NAMIBIA",
    "NE": "NIGER",
    "NG": "NIGERIA",
    "RE": "REUNION",
    "RW": "RWANDA",
    "ST": "SAO TOME AND PRINCIPE",
    "SN": "SENEGAL",
    "SC": "SEYCHELLES",
    "SL": "SIERRA LEONE",
    "SO": "SOMALIA",
    "ZA": "SOUTH AFRICA",
    "SD": "SUDAN",
    "SZ": "SWAZILAND",
    "TZ": "TANZANIA, UNITED REPUBLIC OF",
    "TG": "TOGO",
    "TN": "TUNISIA",
    "UG": "UGANDA",
    "EH": "WESTERN SAHARA",
    "ZM": "ZAMBIA",
    "ZW": "ZIMBABWE",
    "AR": "ARGENTINA",
    "AW": "ARUBA",
    "BZ": "BELIZE",
    "BO": "BOLIVIA",
    "BR": "BRAZIL",
    "CL": "CHILE",
    "CO": "COLOMBIA",
    "CR": "COSTA RICA",
    "CU": "CUBA",
    "DO": "DOMINICAN REPUBLIC",
    "EC": "ECUADOR",
    "SV": "EL SALVADOR",
    "FK": "FALKLAND ISLANDS (MALVINAS)",
    "GF": "FRENCH GUIANA",
    "GT": "GUATEMALA",
    "GY": "GUYANA",
    "HT": "HAITI",
    "HN": "HONDURAS",
    "MX": "MEXICO",
    "AN": "NETHERLANDS ANTILLES",
    "NI": "NICARAGUA",
    "PA": "PANAMA",
    "PY": "PARAGUAY",
    "PE": "PERU",
    "GS": "SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS",
    "SR": "SURINAME",
    "TT": "TRINIDAD AND TOBAGO",
    "UY": "URUGUAY",
    "VE": "VENEZUELA",
    "AX": "ÅLAND ISLANDS",
    "AL": "ALBANIA",
    "AD": "ANDORRA",
    "AM": "ARMENIA",
    "AT": "AUSTRIA",
    "AZ": "AZERBAIJAN",
    "BH": "BAHRAIN",
    "BY": "BELARUS",
    "BE": "BELGIUM",
    "BA": "BOSNIA AND HERZEGOWINA",
    "BG": "BULGARIA",
    "HR": "CROATIA (local name: Hrvatska)",
    "CY": "CYPRUS",
    "CZ": "CZECH REPUBLIC",
    "DK": "DENMARK",
    "EE": "ESTONIA",
    "FO": "FAROE ISLANDS",
    "FI": "FINLAND",
    "FR": "FRANCE",
    "GE": "GEORGIA",
    "DE": "GERMANY",
    "GI": "GIBRALTAR",
    "GR": "GREECE",
    "GL": "GREENLAND",
    "VA": "HOLY SEE (VATICAN CITY STATE)",
    "HU": "HUNGARY",
    "IS": "ICELAND",
    "IR": "IRAN (ISLAMIC REPUBLIC OF)",
    "IQ": "IRAQ",
    "IE": "IRELAND",
    "IL": "ISRAEL",
    "IT": "ITALY",
    "JO": "JORDAN",
    "KZ": "KAZAKHSTAN",
    "KW": "KUWAIT",
    "KG": "KYRGYZSTAN",
    "LV": "LATVIA",
    "LB": "LEBANON",
    "LI": "LIECHTENSTEIN",
    "LT": "LITHUANIA",
    "LU": "LUXEMBOURG",
    "MK": "MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF",
    "MT": "MALTA",
    "MD": "MOLDOVA, REPUBLIC OF",
    "MC": "MONACO",
    "MS": "MONTSERRAT",
    "NL": "NETHERLANDS",
    "NO": "NORWAY",
    "OM": "OMAN",
    "PS": "PALESTINIAN TERRITORY, OCCUPIED",
    "PL": "POLAND",
    "PT": "PORTUGAL",
    "QA": "QATAR",
    "RO": "ROMANIA",
    "RU": "RUSSIAN FEDERATION",
    "SM": "SAN MARINO",
    "SA": "SAUDI ARABIA",
    "CS": "SERBIA AND MONTENEGRO",
    "SK": "SLOVAKIA (S",
    "SI": "SLOVENIA",
    "ES": "SPAIN",
    "SJ": "SVALBARD AND JAN MAYEN ISLANDS",
    "SE": "SWEDEN",
    "CH": "SWITZERLAND",
    "SY": "SYRIAN ARAB REPUBLIC",
    "TJ": "TAJIKISTAN",
    "TR": "TURKEY",
    "TM": "TURKMENISTAN",
    "UA": "UKRAINE",
    "AE": "UNITED ARAB EMIRATES",
    "GB": "UNITED KINGDOM*",
    "UZ": "UZBEKISTAN",
    "YE": "YEMEN"
}